Bug 2062133 - Azure VNET lookup fails when the NIC subnet is in a different resource group
Summary: Azure VNET lookup fails when the NIC subnet is in a different resource group
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.10
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.10.z
Assignee: Casey Callendrello
QA Contact: Mike Fiedler
URL:
Whiteboard:
Depends On: 2060334
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-03-09 08:51 UTC by OpenShift BugZilla Robot
Modified: 2022-04-25 19:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-25 19:51:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cloud-network-config-controller pull 28 0 None open [release-4.10] Bug 2062133: Fix Azure VNET lookup when the NIC's subnet is in a different resource group 2022-03-09 08:52:11 UTC
Red Hat Product Errata RHBA-2022:1431 0 None None None 2022-04-25 19:52:01 UTC

Comment 4 Mike Fiedler 2022-04-20 19:12:36 UTC
Verified on the 4.10.11 candidate.   Upgraded 4.9.z latest to 4.10.11.   After upgrade the egress annotation is present on the node.

# oc get infrastructures.config.openshift.io cluster  -ojsonpath='{.status.platformStatus}' | jq 
{
  "azure": {
    "cloudName": "AzurePublicCloud",
    "networkResourceGroupName": "mffiedler420a-rg",
    "resourceGroupName": "mffiedler420a-7ftbt-rg"
  },
  "type": "Azure"
}

  annotations:
    cloud.network.openshift.io/egress-ipconfig: '[{"interface":"mffiedler420a-7ftbt-worker-northcentralus-lrw4w-nic","ifaddr":{"ipv4":"10.0.0.0/16"},"capacity":{"ip":255}}]'

Comment 6 errata-xmlrpc 2022-04-25 19:51:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.10.11 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:1431


Note You need to log in before you can comment on or make changes to this bug.